## washngo 2.12

=== washparser/Makefile ===
#
# Makefile for wash2hs (Haskell98)
# copyright 2004 by Peter Thiemann
#

VERSION= 0.5
PACKAGE= wash2hs

include $(TOP)/mk/config.mk
include $(TOP)/mk/common.mk

# you should not need to change anything below this line
FILES= Makefile LICENSE CHANGES \
	hs/Makefile \
	hs/WASHClean.hs hs/WASHData.hs hs/WASHExpression.hs hs/WASHFlags.hs \
	hs/WASHGenerator.hs \
	hs/WASHMain.hs hs/WASHParser.hs hs/WASHUtil.hs hs/WASHOut.hs \
	test/Makefile \
	test/Counter.wash test/Tutorial.wash test/ManuelsTable.hs \
	test/include.html test/TestF.hs test/Attributes.wash \
	spec/translation.txt

TMPDIR=	/tmp
WWWDIR= $(HOME)/public/www/haskell/WASH

FULLNAME=$(PACKAGE)-$(VERSION)

all:
	$(MAKE) -C hs all $(SUBDIRASSIGNMENT)

install: all
	$(INSTALL) -d $(bindir)
	$(INSTALL) -m 755 hs/WASHMain $(bindir)/wash2hs

clean:
	$(MAKE) -C hs clean $(SUBDIRASSIGNMENT)
	$(MAKE) -C test clean $(SUBDIRASSIGNMENT)

veryclean:
	$(MAKE) -C hs veryclean $(SUBDIRASSIGNMENT)
	$(MAKE) -C test veryclean $(SUBDIRASSIGNMENT)

depend:
	$(MAKE) -C hs depend $(SUBDIRASSIGNMENT)

test: install
	$(MAKE) -C test $(SUBDIRASSIGNMENT)

$(FULLNAME).tgz:
	$(RM) -rf $(TMPDIR)/$(FULLNAME)
	$(MKDIR) -p $(TMPDIR)/$(FULLNAME)
	$(TAR) chf - $(FILES) | tar xCf $(TMPDIR)/$(FULLNAME) -
	$(TAR) cvhfCz $@ $(TMPDIR) $(FULLNAME)
	$(RM) -rf $(TMPDIR)/$(FULLNAME)

install-distribution: $(FULLNAME).tgz
	$(INSTALL) -m 644 $(FULLNAME).tgz $(WWWDIR)
	$(RM) $(FULLNAME).tgz

include $(TOP)/mk/common-goals.mk

=== Examples/old/Makefile ===

HC_SPEC_FLAGS=	-package WashNGo
HCLOADFLAGS=	$(OPT) $(HC_SPEC_FLAGS)

#OPT=		-O
OPT=		

HCFLAGS=	$(OPT) $(HC_SPEC_FLAGS) $(HINCLUDES) $(HCEXTRAFLAGS)

HINCLUDES=

LINK.o=		$(HC) $(HCLOADFLAGS)

FILES= Makefile $(HS_FILES)

HS_FILES=	\
	CalcHistory.hs \
	CalcFix.hs \
	Calculator.hs \
	Counter.hs \
	CounterControl.hs \
	CounterWithBoundedLog.hs \
	DiskImages.hs \
	ForeignReport.hs \
	GuessNumber.hs \
	GuessNumberCookie.hs \
	GuessNumberNoCheating.hs \
	HelloWorld.hs \
	Item.hs \
	Login.hs \
	Manager.hs \
	Multiplication.hs \
	RepBase.hs \
	Report2.hs \
	Score.hs \
	SendFile.hs \
	Submit.hs \
	TimeTable.hs \
	TinyShop.hs \
	TinyShopXX.hs \
	Tutorial.hs \
	UpDownCounter.hs \
	Upload.hs \
	UseAT.hs \
	UseCGI4.hs \
	UseGraphics.hs \
	Vote.hs \
	ex1.hs ex2-2.hs ex2-3.hs ex3-1.hs ex3-2-a.hs ex3-2-b.hs

OTHER_FILES=	\
	GraphicsEditor.hs \
	MANAGER.hs \
	ReportForAuthor.hs \


EXAMPLES= \
	 CalcHistory CalcFix Calculator Counter HelloWorld \
	 Multiplication UpDownCounter UseAT UseCGI4 UseGraphics \
	 GuessNumberCookie GuessNumber GuessNumberNoCheating TimeTable \
	 SendFile Tutorial Upload Vote TinyShop TinyShopXX \
	 ex1 ex2-2 ex2-3 ex3-1 ex3-2-a ex3-2-b
	 # GraphicsEditor  

all: $(EXAMPLES)

include $(TOP)/mk/config.mk
include $(TOP)/mk/common.mk

WASH-CGI-Examples-$(VERSION).tgz: $(FILES)
	$(TAR) cvhfz $@ $(FILES)

install: all
	$(SSH) $(WWWHOST) mkdir -p $(CGIDIR); \
	for f in $(EXAMPLES); \
	do \
	$(SCP) -q $$f $(WWWHOST):$(CGIDIR)/$$f.cgi; \
	$(SSH) $(WWWHOST) chmod 755 $(CGIDIR)/$$f.cgi; \
	done

install-example-sources:
	for f in $(EXAMPLES); \
	do \
	$(SCP) -q $$f.hs $(WWWHOST):$(WWWDIR); \
	$(SSH) $(WWWHOST) chmod 644 $(WWWDIR)/$$f.hs; \
	done

Manager: Manager.o Item.o RepBase.o Report2.o Submit.o ForeignReport.o
	$(LINK.o) $^ -o $@ -fglasgow-exts -package text

MANAGER: MANAGER.o Item.o RepBase.o Report2.o Submit.o ForeignReport.o
	$(LINK.o) $^ -o $@ -fglasgow-exts -package text
Manager.o : Manager.hs
	$(HC) $(HCFLAGS) -fglasgow-exts -c $< -o $@
MANAGER.o : MANAGER.hs
	$(HC) $(HCFLAGS) -fglasgow-exts -c $< -o $@
Report2.o : Report2.hs
	$(HC) $(HCFLAGS) -fglasgow-exts -c $< -o $@
Submit.o : Submit.hs
	$(HC) $(HCFLAGS) -fglasgow-exts -c $< -o $@
Item.o : Item.hs
	$(HC) $(HCFLAGS) -fglasgow-exts -c $< -o $@

GuessNumber: GuessNumber.o Score.o
GuessNumberNoCheating: GuessNumberNoCheating.o Score.o
GuessNumberCookie: GuessNumberCookie.o Score.o
TinyShop: TinyShop.o DiskImages.o
	$(LINK.o) $^ -o $@ -fglasgow-exts -package text
TinyShopXX: TinyShopXX.o DiskImages.o
	$(LINK.o) $^ -o $@ -fglasgow-exts -package text

clean::
	$(RM) -f *.hi *.o

veryclean:: clean
	$(RM) -f $(EXAMPLES)

depend::
	$(HC) -M $(HCFLAGS) $(HS_FILES)

include $(TOP)/mk/common-goals.mk

# DO NOT DELETE: Beginning of Haskell dependencies
Calculator.o : Calculator.hs
Counter.o : Counter.hs
DiskImages.o : DiskImages.hs
ForeignReport.o : ForeignReport.hs
ForeignReport.o : ./RepBase.hi
ForeignReport.o : ./Item.hi
GuessNumber.o : GuessNumber.hs
GuessNumber.o : ./Score.hi
GuessNumberCookie.o : GuessNumberCookie.hs
GuessNumberNoCheating.o : GuessNumberNoCheating.hs
GuessNumberNoCheating.o : ./Score.hi
HelloWorld.o : HelloWorld.hs
Item.o : Item.hs
Login.o : Login.hs
Manager.o : Manager.hs
Manager.o : ./Submit.hi
Multiplication.o : Multiplication.hs
RepBase.o : RepBase.hs
RepBase.o : Item.hi
Report2.o : Report2.hs
Report2.o : RepBase.hi
Score.o : Score.hs
SendFile.o : SendFile.hs
Submit.o : Submit.hs
Submit.o : ForeignReport.hi
Submit.o : Report2.hi
Submit.o : Item.hi
TimeTable.o : TimeTable.hs
TinyShop.o : TinyShop.hs
TinyShop.o : DiskImages.hi
TinyShopXX.o : TinyShopXX.hs
TinyShopXX.o : DiskImages.hi
Tutorial.o : Tutorial.hs
UpDownCounter.o : UpDownCounter.hs
Upload.o : Upload.hs
UseAT.o : UseAT.hs
UseCGI4.o : UseCGI4.hs
UseGraphics.o : UseGraphics.hs
Vote.o : Vote.hs
ex1.o : ex1.hs
ex2-2.o : ex2-2.hs
ex2-3.o : ex2-3.hs
ex3-1.o : ex3-1.hs
ex3-2-a.o : ex3-2-a.hs
ex3-2-b.o : ex3-2-b.hs
# DO NOT DELETE: End of Haskell dependencies

=== WASH/CGI/Makefile ===
#
# Makefile for WASH/CGI (Haskell98)
# copyright 2001-2005 by Peter Thiemann
#

PACKAGE=WASH-CGI
VERSION=1.4.38

include $(TOP)/mk/config.mk
include $(TOP)/mk/common.mk

HC_SPEC_FLAGS=	-package-name $(PACKAGE) -package text
HCLOADFLAGS=
HCINCLUDES=	-i$(PATH_TO_UTILITY):$(PATH_TO_WASHMAIL):$(PATH_TO_WASHHTML)
OPT=

HCFLAGS=	$(HCEXTRAFLAGS) $(OPT) $(HC_SPEC_FLAGS) $(HCINCLUDES)

HS_FILES=	$(HS_SOURCES)

PACKAGE_DEPENDENCIES= haskell98 text WASHHTML WASHMail Utility

TMPDIR=/tmp
FULLNAME=$(PACKAGE)-$(VERSION)
FILES= Makefile README INSTALL LICENSE $(HS_SOURCES)
HS_SOURCES= $(MODULES:=.hs)
MODULES= $(EXPOSED_MODULES)$(HIDDEN_MODULES)
HIDDEN_MODULES=
EXPOSED_MODULES= \
	AbstractSelector \
	CGI \
	CGIConfig \
	CGIGraphics \
	CGIInternals \
	CGIMonad \
	CGIOutput \
	CGITypes \
	CGIXX \
	ContentType \
	Cookie \
	CookieIO \
	Debug \
	EventHandlers \
	Fields \
	Frames \
	GuaranteedCGI \
	HTMLMail \
	HTMLWrapper \
	Images \
	PPM \
	Persistent2 \
	RawCGITypes \
	RawCGI \
	RawCGIInternal \
	StateItem \
	Style \
	Submit98 \
	SubmitXX \
	Types

DOCDIR= doc

all: lib$(PACKAGE).a

lib$(PACKAGE).a: lib$(PACKAGE).a($(HS_SOURCES:.hs=.o))
	$(RANLIB) $@

install-everything: install install-example-sources

install-distribution: $(FULLNAME).tgz WASH-CGI-Examples-$(VERSION).tgz
	$(INSTALL) -c -m 644 $(FULLNAME).tgz WASH-CGI-Examples-$(VERSION).tgz $(WWWDIR)

install-dumb-package: lib$(PACKAGE).a install-files install-package

install-files:
	$(INSTALL) -d $(PACKAGELIBDIR)
	$(INSTALL) -d $(PACKAGEIMPORTDIR)
	$(INSTALL) -c -m 644 $(HS_SOURCES:.hs=.hi) $(PACKAGEIMPORTDIR)
	$(INSTALL) -c -m 644 lib$(PACKAGE).a $(PACKAGELIBDIR)
	$(RANLIB) $(PACKAGELIBDIR)/lib$(PACKAGE).a

install: install-dumb-package
ifeq ($(ENABLE_REG_PACKAGE),yes)
	$(GENPKG) WASH --ghc-version $(HC_VERSION) --version $(VERSION) --license BSD3 --package_deps WASH-CGI --extra_ghc_opts -F -pgmF $(bindir)/wash2hs | $(GHCPKG_UPDATE) $(GHCPKGFLAGS) --auto-ghci-libs
endif

$(FULLNAME).tgz: $(FILES) $(EXFILES) documentation
	$(RM) -rf $(TMPDIR)/$(FULLNAME)
	$(MKDIR) -p $(TMPDIR)/$(FULLNAME)/$(EXDIR) $(TMPDIR)/$(FULLNAME)/$(DOCDIR)
	$(CP) $(FILES) $(TMPDIR)/$(FULLNAME)
	$(CP) $(addprefix $(EXDIR),$(EXSOURCES)) $(TMPDIR)/$(FULLNAME)/$(EXDIR)
	$(CP) $(DOCDIR)/*.html $(DOCDIR)/*.gif $(DOCDIR)/*.css $(TMPDIR)/$(FULLNAME)/$(DOCDIR)
	$(TAR) cvhfCz $@ $(TMPDIR) $(FULLNAME)

documentation::
	$(HADDOCK) -o $(DOCDIR) -h $(HS_SOURCES)

clean:
	$(RM) -f *.a *.o *.hi

veryclean:: clean

depend::
	$(HC) -M $(HCFLAGS) -optdep-exclude-directory=$(PATH_TO_WASHHTML) -optdep-exclude-directory=$(PATH_TO_WASHMAIL) -optdep-exclude-directory=$(PATH_TO_UTILITY) $(HS_FILES)

# DO NOT DELETE: Beginning of Haskell dependencies
../Mail/RFC2822.o : ../Mail/RFC2822.hs
../Mail/ContentDisposition.o : ../Mail/ContentDisposition.hs
../Mail/ContentDisposition.o : ../Mail/RFC2822.hi
../Utility/SimpleParser.o : ../Utility/SimpleParser.hs
../Utility/IntToString.o : ../Utility/IntToString.hs
../Utility/ISO8601.o : ../Utility/ISO8601.hs
../Utility/ISO8601.o : ../Utility/SimpleParser.hi
../Utility/ISO8601.o : ../Utility/IntToString.hi
../Utility/BulkIO.o : ../Utility/BulkIO.hs
../Utility/Base32.o : ../Utility/Base32.hs
../Utility/SHA1.o : ../Utility/SHA1.hs
../Utility/RFC2279.o : ../Utility/RFC2279.hs
../Utility/Base64.o : ../Utility/Base64.hs
../WASH/HTMLBase.o : ../WASH/HTMLBase.hs
../WASH/HTMLMonadBase.o : ../WASH/HTMLMonadBase.hs
../WASH/HTMLMonadBase.o : ../WASH/HTMLBase.hi
../WASH/HTMLMonad.o : ../WASH/HTMLMonad.hs
../WASH/HTMLMonad.o : ../WASH/HTMLMonadBase.hi
../WASH/HTMLMonad98.o : ../WASH/HTMLMonad98.hs
../WASH/HTMLMonad98.o : ../WASH/HTMLMonad.hi
../WASH/HTMLMonad98.o : ../WASH/HTMLMonad.hi
../Utility/FileNames.o : ../Utility/FileNames.hs
../Utility/Shell.o : ../Utility/Shell.hs
../Utility/Auxiliary.o : ../Utility/Auxiliary.hs
../Utility/Auxiliary.o : ../Utility/Shell.hi
../Utility/Auxiliary.o : ../Utility/FileNames.hi
../Utility/Locking.o : ../Utility/Locking.hs
../Utility/Locking.o : ../Utility/Auxiliary.hi
../Utility/Unique.o : ../Utility/Unique.hs
../Utility/Unique.o : ../Utility/Locking.hi
../Utility/Unique.o : ../Utility/Auxiliary.hi
../Utility/Hex.o : ../Utility/Hex.hs
../Utility/URLCoding.o : ../Utility/URLCoding.hs
../Utility/URLCoding.o : ../Utility/Hex.hi
../Utility/RFC2397.o : ../Utility/RFC2397.hs
../Utility/RFC2397.o : ../Utility/Base64.hi
../Utility/RFC2397.o : ../Utility/URLCoding.hi
../Utility/QuotedPrintable.o : ../Utility/QuotedPrintable.hs
../Utility/QuotedPrintable.o : ../Utility/Hex.hi
../Utility/RFC2047.o : ../Utility/RFC2047.hs
../Utility/RFC2047.o : ../Utility/Hex.hi
../Utility/RFC2047.o : ../Utility/QuotedPrintable.hi
../Utility/RFC2047.o : ../Utility/Base64.hi
../Mail/HeaderField.o : ../Mail/HeaderField.hs
../Mail/HeaderField.o : ../Utility/RFC2047.hi
../Mail/MIME.o : ../Mail/MIME.hs
../Mail/MIME.o : ../Utility/RFC2279.hi
../Mail/MIME.o : ../Mail/HeaderField.hi
../Mail/MIME.o : ../Utility/QuotedPrintable.hi
../Mail/MIME.o : ../Mail/ContentDisposition.hi
../Mail/MIME.o : ../Utility/Base64.hi
../Utility/JavaScript.o : ../Utility/JavaScript.hs
../Utility/JavaScript.o : ../Utility/Hex.hi
../WASH/HTMLTemplates.o : ../WASH/HTMLTemplates.hs
../WASH/HTMLTemplates.o : ../Utility/Base32.hi
../WASH/HTMLTemplates.o : ../Utility/JavaScript.hi
../WASH/HTMLTemplates.o : ../Utility/SHA1.hi
../WASH/HTMLTemplates.o : ../WASH/HTMLBase.hi
Types.o : Types.hs
Style.o : Style.hs
Style.o : ../WASH/HTMLMonad.hi
StateItem.o : StateItem.hs
PPM.o : PPM.hs
HTMLWrapper.o : HTMLWrapper.hs
HTMLWrapper.o : ../WASH/HTMLMonad.hi
HTMLMail.o : HTMLMail.hs
HTMLMail.o : ../Mail/MIME.hi
HTMLMail.o : ../WASH/HTMLMonad.hi
EventHandlers.o : EventHandlers.hs
EventHandlers.o : HTMLWrapper.hi
ContentType.o : ContentType.hs
CGITypes.o : CGITypes.hs
CGITypes.o : HTMLWrapper.hi
Fields.o : Fields.hs
Fields.o : CGITypes.hi
Fields.o : ../Utility/SimpleParser.hi
Fields.o : ../Utility/ISO8601.hi
Images.o : Images.hs
Images.o : ../Utility/JavaScript.hi
Images.o : ../Utility/RFC2397.hi
Images.o : CGITypes.hi
RawCGITypes.o : RawCGITypes.hs
RawCGITypes.o : CGITypes.hi
Debug.o : Debug.hs
Debug.o : ../Utility/IntToString.hi
Debug.o : ../Utility/ISO8601.hi
Debug.o : ../Utility/Shell.hi
Debug.o : RawCGITypes.hi
Debug.o : ../Utility/Auxiliary.hi
CGIConfig.o : CGIConfig.hs
CGIOutput.o : CGIOutput.hs
CGIOutput.o : ../WASH/HTMLTemplates.hi
CGIOutput.o : HTMLWrapper.hi
CGIOutput.o : CGITypes.hi
CGIOutput.o : CGIConfig.hi
CGIOutput.o : ../Utility/Shell.hi
CGIOutput.o : ../Utility/RFC2279.hi
CGIOutput.o : Debug.hi
CGIOutput.o : ../Utility/BulkIO.hi
CGIOutput.o : ../Utility/Auxiliary.hi
RawCGIInternal.o : RawCGIInternal.hs
RawCGIInternal.o : Debug.hi
RawCGIInternal.o : ../Utility/Hex.hi
RawCGIInternal.o : ../Utility/BulkIO.hi
RawCGIInternal.o : RawCGITypes.hi
RawCGIInternal.o : CGITypes.hi
RawCGIInternal.o : CGIConfig.hi
RawCGIInternal.o : ../Utility/RFC2279.hi
RawCGIInternal.o : ../Utility/URLCoding.hi
RawCGIInternal.o : ../Utility/Unique.hi
RawCGIInternal.o : ../Utility/Auxiliary.hi
CGIMonad.o : CGIMonad.hs
CGIMonad.o : ../Utility/SHA1.hi
CGIMonad.o : RawCGIInternal.hi
CGIMonad.o : ../WASH/HTMLMonad.hi
CGIMonad.o : CGITypes.hi
CookieIO.o : CookieIO.hs
CookieIO.o : ../Utility/URLCoding.hi
CookieIO.o : RawCGITypes.hi
CookieIO.o : Debug.hi
CookieIO.o : CGIMonad.hi
Frames.o : Frames.hs
Frames.o : ../Utility/JavaScript.hi
Frames.o : ../Utility/URLCoding.hi
Frames.o : RawCGIInternal.hi
Frames.o : Images.hi
Frames.o : Fields.hi
Frames.o : EventHandlers.hi
Frames.o : CGITypes.hi
Frames.o : CGIOutput.hi
Frames.o : CGIMonad.hi
Frames.o : CGIConfig.hi
Frames.o : CookieIO.hi
Frames.o : HTMLWrapper.hi
Frames.o : ../Utility/Auxiliary.hi
CGIInternals.o : CGIInternals.hs
CGIInternals.o : CGIConfig.hi
CGIInternals.o : ../Utility/URLCoding.hi
CGIInternals.o : RawCGIInternal.hi
CGIInternals.o : ../Utility/RFC2397.hi
CGIInternals.o : ../Utility/RFC2279.hi
CGIInternals.o : ../Utility/JavaScript.hi
CGIInternals.o : Images.hi
CGIInternals.o : HTMLWrapper.hi
CGIInternals.o : Frames.hi
CGIInternals.o : Fields.hi
CGIInternals.o : EventHandlers.hi
CGIInternals.o : CGITypes.hi
CGIInternals.o : CGIOutput.hi
CGIInternals.o : CGIMonad.hi
CGIInternals.o : CookieIO.hi
CGIInternals.o : ../Utility/Base64.hi
CGIInternals.o : ../Utility/Auxiliary.hi
CGIGraphics.o : CGIGraphics.hs
CGIGraphics.o : CGIConfig.hi
CGIGraphics.o : ../Utility/Unique.hi
CGIGraphics.o : ../WASH/HTMLMonad.hi
CGIGraphics.o : PPM.hi
CGIGraphics.o : CGIMonad.hi
CGIGraphics.o : CGIInternals.hi
CGIGraphics.o : CGITypes.hi
CGIGraphics.o : RawCGIInternal.hi
CGIGraphics.o : ../Utility/Hex.hi
Cookie.o : Cookie.hs
Cookie.o : StateItem.hi
Cookie.o : Types.hi
Cookie.o : ../WASH/HTMLMonad.hi
Cookie.o : CGIMonad.hi
Cookie.o : CGIInternals.hi
SubmitXX.o : SubmitXX.hs
SubmitXX.o : EventHandlers.hi
SubmitXX.o : CGIMonad.hi
SubmitXX.o : CGIInternals.hi
CGIXX.o : CGIXX.hs
CGIXX.o : Frames.hi
CGIXX.o : HTMLWrapper.hi
CGIXX.o : Style.hi
CGIXX.o : Fields.hi
CGIXX.o : CGITypes.hi
CGIXX.o : CGIOutput.hi
CGIXX.o : SubmitXX.hi
CGIXX.o : CGIInternals.hi
CGIXX.o : CGIMonad.hi
CGIXX.o : CGITypes.hi
RawCGI.o : RawCGI.hs
RawCGI.o : RawCGIInternal.hi
RawCGI.o : CGITypes.hi
AbstractSelector.o : AbstractSelector.hs
AbstractSelector.o : ../Utility/JavaScript.hi
AbstractSelector.o : ../Utility/URLCoding.hi
AbstractSelector.o : RawCGIInternal.hi
AbstractSelector.o : ../Utility/URLCoding.hi
AbstractSelector.o : HTMLWrapper.hi
AbstractSelector.o : CGIMonad.hi
AbstractSelector.o : CGIInternals.hi
Submit98.o : Submit98.hs
Submit98.o : HTMLWrapper.hi
Submit98.o : EventHandlers.hi
Submit98.o : CGIMonad.hi
Submit98.o : CGIInternals.hi
Submit98.o : AbstractSelector.hi
CGI.o : CGI.hs
CGI.o : Frames.hi
CGI.o : HTMLWrapper.hi
CGI.o : HTMLWrapper.hi
CGI.o : Style.hi
CGI.o : Fields.hi
CGI.o : CGITypes.hi
CGI.o : CGIOutput.hi
CGI.o : Submit98.hi
CGI.o : CGIInternals.hi
CGI.o : CGIMonad.hi
CGI.o : CGITypes.hi
CGI.o : AbstractSelector.hi
GuaranteedCGI.o : GuaranteedCGI.hs
GuaranteedCGI.o : CGI.hi
GuaranteedCGI.o : ../WASH/HTMLMonad98.hi
GuaranteedCGI.o : CGI.hi
GuaranteedCGI.o : CGIInternals.hi
GuaranteedCGI.o : Style.hi
GuaranteedCGI.o : Fields.hi
GuaranteedCGI.o : CGITypes.hi
Persistent2.o : Persistent2.hs
Persistent2.o : ../Utility/Base32.hi
Persistent2.o : ../Utility/SHA1.hi
Persistent2.o : StateItem.hi
Persistent2.o : ../Utility/Locking.hi
Persistent2.o : Types.hi
Persistent2.o : CGIInternals.hi
Persistent2.o : CGI.hi
Persistent2.o : ../Utility/Auxiliary.hi
Persistent2.o : CGIConfig.hi
# DO NOT DELETE: End of Haskell dependencies

=== WASH/Dbconnect/Makefile ===
PACKAGE=DBCONNECT
VERSION= 0.1.1
FILES= Makefile lib/Makefile lib/Dbconnect.hs lib/Libpqfe.chs lib/Libpqfe.hs \
	examples/Makefile examples/Main.hs examples/Mystylesheet.hs \
	examples/ducktales.sql examples/removeDucktales.sql
include $(TOP)/mk/config.mk
include $(TOP)/mk/common.mk

FULLNAME=$(PACKAGE)-$(VERSION)
DISTNAME=$(FULLNAME).tgz

TMPDIR=/tmp

all: 
	$(MAKE) -C lib all $(SUBDIRASSIGNMENT) VERSION=$(VERSION)

install:
	$(MAKE) -C lib install $(SUBDIRASSIGNMENT) VERSION=$(VERSION)

depend:
	$(MAKE) -C lib depend $(SUBDIRASSIGNMENT) VERSION=$(VERSION)

clean:
	$(MAKE) -C lib clean $(SUBDIRASSIGNMENT) VERSION=$(VERSION)

veryclean:
	$(MAKE) -C lib veryclean $(SUBDIRASSIGNMENT) VERSION=$(VERSION)

doc:
	$(MKDIR) -p doc
	$(MAKE) -C lib doc DOCDIR=../doc

install-distribution: $(DISTNAME)
	$(MKDIR) -p $(WWWDIR)
	$(INSTALL) -c -m 644 $< $(WWWDIR)

$(DISTNAME): doc Makefile
	$(RM) -rf $(TMPDIR)/$(FULLNAME)
	$(MKDIR) -p $(TMPDIR)/$(FULLNAME)
	$(TAR) cf - $(FILES) | tar xfC - $(TMPDIR)/$(FULLNAME)
	$(TAR) cfCvz $(DISTNAME) $(TMPDIR) $(FULLNAME)

=== WASH/HTML/Makefile ===
#
# Makefile for WASH/HTML (Haskell98)
# copyright 2001-2005 by Peter Thiemann
#

PACKAGE=WASHHTML
VERSION=0.14.8

include $(TOP)/mk/config.mk
include $(TOP)/mk/common.mk

PATH_TO_UTILITY=../Utility

FILES=  Makefile \
	LICENSE \
	$(HS_SOURCES)

HS_SOURCES= $(MODULES:=.hs)
MODULES= $(EXPOSED_MODULES)$(HIDDEN_MODULES)
PACKAGE_DEPENDENCIES= haskell98 text Utility
HIDDEN_MODULES=
EXPOSED_MODULES= \
	HTMLBase \
	HTMLMonad \
	HTMLMonadAttrs \
	HTMLMonad98 \
	HTMLMonadBase \
	HTMLPrelude \
	HTMLPrelude98 \
	HTMLTypedBase \
	HTMLTypedBase98 \
	HTMLTemplates

EXTENDED= \
	HTMLSuperBase.hs \
	HTMLSuperPrelude.hs \

FULLNAME=$(PACKAGE)-$(VERSION)
DISTNAME=$(FULLNAME).tgz

WASP_FILES= WASP-HTML.tgz WASP-SUPER.tgz WASP-Examples.tgz
WWW_ROOT= $(HOME)/public/www/haskell/WASP
WWWDIR=$(HOME)/public/www/haskell/WASH
TMPDIR=/tmp

######################################################################
# goals

all: libWASHHTML.a

libWASHHTML.a: libWASHHTML.a($(HS_SOURCES:.hs=.o))
	$(RANLIB) $@

Version: $(WASP_HTML_FILES) $(WASP_SUPER_FILES) $(WASP_EXAMPLE_FILES)
	$(DATE) > Version

WASP_HTML_FILES= HTMLBase.hs HTMLTypedBase.hs HTMLPrelude.hs
WASP-HTML.tgz: $(WASP_HTML_FILES) Version
	$(TAR) cvfz WASP-HTML.tgz $(WASP_HTML_FILES) Version

WASP_SUPER_FILES= HTMLBase.hs HTMLSuperBase.hs HTMLSuperPrelude.hs
WASP-SUPER.tgz: $(WASP_SUPER_FILES) Version
	$(TAR) cvfz WASP-SUPER.tgz $(WASP_SUPER_FILES) Version

WASP_EXAMPLE_FILES= Example.hs Texinfo.hs
WASP-Examples.tgz: $(WASP_EXAMPLE_FILES) Version
	$(TAR) cvfz WASP-Examples.tgz $(WASP_EXAMPLE_FILES) Version

dist::
	$(RM) -rf $(TMPDIR)/$(FULLNAME)
	$(INSTALL) -d $(TMPDIR)/$(FULLNAME)
	$(INSTALL) $(FILES) $(TMPDIR)/$(FULLNAME)
	$(TAR) cfCvz $(DISTNAME) $(TMPDIR) $(FULLNAME)

install-distribution: dist
	$(INSTALL) $(DISTNAME) $(WWWDIR)

install: libWASHHTML.a install-files install-package

install-files:
	$(INSTALL) -d $(PACKAGELIBDIR)
	$(INSTALL) -d $(PACKAGEIMPORTDIR)
	$(INSTALL) -c -m 644 $(HS_SOURCES:.hs=.hi) $(PACKAGEIMPORTDIR)
	$(INSTALL) -c -m 644 libWASHHTML.a $(PACKAGELIBDIR)
	$(RANLIB) $(PACKAGELIBDIR)/libWASHHTML.a

######################################################################
# generic stuff

HC_SPEC_FLAGS=	-package-name $(PACKAGE) # -fglasgow-exts		# -cpp -package posix -package data
HCINCLUDES=	-i$(PATH_TO_UTILITY)
HCLOADFLAGS=

#OPT=		-fvia-C -O2-for-C 
#OPT=		-O
OPT=

HCFLAGS=	$(OPT) $(HC_SPEC_FLAGS) $(HCINCLUDES) $(HCEXTRAFLAGS)

DOCDIR= doc

clean:
	$(RM) -f *.a *.o *.hi

veryclean:: clean

depend::
	$(HC) -M $(HCFLAGS) $(HS_SOURCES)

# DO NOT DELETE: Beginning of Haskell dependencies
../Utility/SHA1.o : ../Utility/SHA1.hs
../Utility/Hex.o : ../Utility/Hex.hs
../Utility/JavaScript.o : ../Utility/JavaScript.hs
../Utility/JavaScript.o : ../Utility/Hex.hi
../Utility/Base32.o : ../Utility/Base32.hs
HTMLBase.o : HTMLBase.hs
HTMLMonadBase.o : HTMLMonadBase.hs
HTMLMonadBase.o : HTMLBase.hi
HTMLMonad.o : HTMLMonad.hs
HTMLMonad.o : HTMLMonadBase.hi
HTMLMonad98.o : HTMLMonad98.hs
HTMLMonad98.o : HTMLMonad.hi
HTMLMonad98.o : HTMLMonad.hi
HTMLMonadAttrs.o : HTMLMonadAttrs.hs
HTMLMonadAttrs.o : HTMLMonadBase.hi
HTMLTypedBase.o : HTMLTypedBase.hs
HTMLTypedBase.o : HTMLBase.hi
HTMLPrelude.o : HTMLPrelude.hs
HTMLPrelude.o : HTMLTypedBase.hi
HTMLTypedBase98.o : HTMLTypedBase98.hs
HTMLTypedBase98.o : HTMLBase.hi
HTMLPrelude98.o : HTMLPrelude98.hs
HTMLPrelude98.o : HTMLTypedBase98.hi
HTMLTemplates.o : HTMLTemplates.hs
HTMLTemplates.o : ../Utility/Base32.hi
HTMLTemplates.o : ../Utility/JavaScript.hi
HTMLTemplates.o : ../Utility/SHA1.hi
HTMLTemplates.o : HTMLBase.hi
# DO NOT DELETE: End of Haskell dependencies

=== WASH/Mail/Makefile ===
#
# Makefile for WASH/Mail (Haskell98)
# copyright 2001-2005 by Peter Thiemann
#

PACKAGE=WASHMail
VERSION=0.3.8

include $(TOP)/mk/config.mk
include $(TOP)/mk/common.mk

FILES= Makefile LICENSE $(HS_SOURCES)
HS_SOURCES= $(MODULES:=.hs)
MODULES= $(EXPOSED_MODULES)$(HIDDEN_MODULES)
PACKAGE_DEPENDENCIES=  text Utility
HIDDEN_MODULES=
EXPOSED_MODULES= \
	ContentDisposition \
	Email \
	EmailConfig \
	HeaderField \
	MIME \
	MailParser \
	Message \
	RFC2822

FULLNAME=$(PACKAGE)-$(VERSION)
BINDISTNAME=$(PACKAGE)-bin-$(VERSION).tgz
DISTNAME=$(FULLNAME).tgz
WWWDIR=$(HOME)/public/www/haskell/WASH
TMPDIR=/tmp

PATH_TO_UTILITY=../Utility

######################################################################
# goals

all: libWASHMail.a

libWASHMail.a: libWASHMail.a($(HS_SOURCES:.hs=.o))
	$(RANLIB) $@

dist: documentation
	$(RM) -rf $(TMPDIR)/$(FULLNAME)
	$(MKDIR) -p $(TMPDIR)/$(FULLNAME)/$(DOCSUBDIR)
	$(CP) $(FILES) $(TMPDIR)/$(FULLNAME)
	$(CP) -rp $(DOCSUBDIR) $(TMPDIR)/$(FULLNAME)
	$(TAR) cfCvz $(DISTNAME) $(TMPDIR) $(FULLNAME)

install-distribution: dist
	$(INSTALL) $(DISTNAME) $(WWWDIR)

install: libWASHMail.a install-files install-package

install-files:
	$(INSTALL) -d $(PACKAGELIBDIR)
	$(INSTALL) -d $(PACKAGEIMPORTDIR)
	$(INSTALL) -c -m 644 $(HS_SOURCES:.hs=.hi) $(PACKAGEIMPORTDIR)
	$(INSTALL) -c -m 644 libWASHMail.a $(PACKAGELIBDIR)
	$(RANLIB) $(PACKAGELIBDIR)/libWASHMail.a

######################################################################
# generic stuff

HC_SPEC_FLAGS=	-package-name $(PACKAGE) -package text # -fglasgow-exts		# -cpp -package posix -package data
HCINCLUDES=	-i$(PATH_TO_UTILITY)
HCLOADFLAGS=

#OPT=		-fvia-C -O2-for-C 
#OPT=		-O
OPT=

HCFLAGS=	$(OPT) $(HC_SPEC_FLAGS) $(HCINCLUDES) $(HCEXTRAFLAGS)

DOCSUBDIR= doc


install: all

WASH-CGI-$(VERSION).tgz: $(FILES) $(EXFILES) documentation
	$(RM) -rf WASH-CGI-$(VERSION)
	$(MKDIR) -p WASH-CGI-$(VERSION)/$(EXDIR) WASH-CGI-$(VERSION)/$(DOCDIR)
	$(INSTALL) $(FILES) WASH-CGI-$(VERSION)
	cd $(EXDIR); $(INSTALL) $(EXSOURCES) ../WASH-CGI-$(VERSION)/$(EXDIR)
	cd $(DOCDIR); $(INSTALL) *.html *.gif *.css ../WASH-CGI-$(VERSION)/$(DOCDIR)
	$(TAR) cvhfz $@ WASH-CGI-$(VERSION)

documentation::
	$(MKDIR) -p $(DOCSUBDIR)
	$(HADDOCK) -o $(DOCSUBDIR) -h $(HS_SOURCES)

clean:
	$(RM) -f *.a *.o *.hi

veryclean:: clean

depend::
	$(HC) -M -optdep-exclude-directory=$(PATH_TO_UTILITY) $(HCFLAGS) $(HS_SOURCES)

# DO NOT DELETE: Beginning of Haskell dependencies
../Utility/RFC2279.o : ../Utility/RFC2279.hs
../Utility/Base64.o : ../Utility/Base64.hs
../Utility/Hex.o : ../Utility/Hex.hs
../Utility/QuotedPrintable.o : ../Utility/QuotedPrintable.hs
../Utility/QuotedPrintable.o : ../Utility/Hex.hi
../Utility/RFC2047.o : ../Utility/RFC2047.hs
../Utility/RFC2047.o : ../Utility/Hex.hi
../Utility/RFC2047.o : ../Utility/QuotedPrintable.hi
../Utility/RFC2047.o : ../Utility/Base64.hi
../Utility/FileNames.o : ../Utility/FileNames.hs
../Utility/Shell.o : ../Utility/Shell.hs
../Utility/Auxiliary.o : ../Utility/Auxiliary.hs
../Utility/Auxiliary.o : ../Utility/Shell.hi
../Utility/Auxiliary.o : ../Utility/FileNames.hi
../Utility/Locking.o : ../Utility/Locking.hs
../Utility/Locking.o : ../Utility/Auxiliary.hi
../Utility/Unique.o : ../Utility/Unique.hs
../Utility/Unique.o : ../Utility/Locking.hi
../Utility/Unique.o : ../Utility/Auxiliary.hi
RFC2822.o : RFC2822.hs
HeaderField.o : HeaderField.hs
HeaderField.o : ../Utility/RFC2047.hi
Message.o : Message.hs
Message.o : HeaderField.hi
MailParser.o : MailParser.hs
MailParser.o : HeaderField.hi
MailParser.o : Message.hi
MailParser.o : RFC2822.hi
MailParser.o : ../Utility/RFC2047.hi
MailParser.o : ../Utility/QuotedPrintable.hi
MailParser.o : ../Utility/Base64.hi
EmailConfig.o : EmailConfig.hs
ContentDisposition.o : ContentDisposition.hs
ContentDisposition.o : RFC2822.hi
MIME.o : MIME.hs
MIME.o : ../Utility/RFC2279.hi
MIME.o : HeaderField.hi
MIME.o : ../Utility/QuotedPrintable.hi
MIME.o : ContentDisposition.hi
MIME.o : ../Utility/Base64.hi
Email.o : Email.hs
Email.o : MIME.hi
Email.o : HeaderField.hi
Email.o : EmailConfig.hi
Email.o : ../Utility/Unique.hi
Email.o : ../Utility/Auxiliary.hi
# DO NOT DELETE: End of Haskell dependencies

=== WASH/Utility/Makefile ===
#
# Makefile for WASH/Utility (Haskell98)
# copyright 2001-2005 by Peter Thiemann
#

PACKAGE=Utility
VERSION=0.3.11

include $(TOP)/mk/config.mk
include $(TOP)/mk/common.mk

FILES= Makefile LICENSE $(HS_SOURCES) $(C_SOURCES) $(H_SOURCES)
MODULES= $(EXPOSED_MODULES)$(HIDDEN_MODULES)
PACKAGE_DEPENDENCIES= haskell98 text
HIDDEN_MODULES=
EXPOSED_MODULES= \
	Auxiliary \
	Base32 \
	Base64 \
	BulkIO \
	FileNames \
	Hex \
	ISO8601 \
	IntToString \
	JavaScript \
	Locking \
	QuotedPrintable \
	RFC2047 \
	RFC2279 \
	RFC2397 \
	SHA1 \
	SimpleParser \
	Shell \
	URLCoding \
	Unique

HS_SOURCES= $(MODULES:=.hs)
C_SOURCES= sha1lib.c
H_SOURCES= sha1lib.h

FULLNAME=$(PACKAGE)-$(VERSION)
BINDISTNAME=$(PACKAGE)-bin-$(VERSION).tgz
DISTNAME=$(FULLNAME).tgz
# where the WASH homepage resides
WWWDIR=$(HOME)/public/www/haskell/WASH
TMPDIR=/tmp

######################################################################
# goals

all: libUtility.a

# the single C object is incorporated by special magic
#PJT# libUtility.a: libUtility.a($(HS_SOURCES:.hs=.o) $(C_SOURCES:.c=.o))
libUtility.a: libUtility.a($(HS_SOURCES:.hs=.o))
	$(RANLIB) $@



dist: documentation
	$(RM) -rf $(TMPDIR)/$(FULLNAME)
	$(MKDIR) -p $(TMPDIR)/$(FULLNAME)/$(DOCSUBDIR)
	$(CP) $(FILES) $(TMPDIR)/$(FULLNAME)
	$(CP) -rp $(DOCSUBDIR) $(TMPDIR)/$(FULLNAME)
	$(TAR) cfCvz $(DISTNAME) $(TMPDIR) $(FULLNAME)

install-distribution: dist
	$(INSTALL) $(DISTNAME) $(WWWDIR)

install: libUtility.a install-files install-package

install-files:
	$(INSTALL) -d $(PACKAGELIBDIR)
	$(INSTALL) -d $(PACKAGEIMPORTDIR)
	$(INSTALL) -c -m 644 $(HS_SOURCES:.hs=.hi) $(PACKAGEIMPORTDIR)
	$(INSTALL) -c -m 644 libUtility.a $(PACKAGELIBDIR)
	$(RANLIB) $(PACKAGELIBDIR)/libUtility.a

######################################################################
# special dependencies

sha1lib.o: sha1lib.h
#PJT# SHA1.o: sha1lib.h
SHA1-pre.o: sha1lib.h

#PJT# experimental.
# work around hs-plugins limitation: 
# hs-plugins does not load supplementary C objects dynamically
# now we try to cheat it by glueing the C object onto the Haskell object 
# that imports it
SHA1-pre.o: SHA1.hs
	$(HC) $(HCFLAGS) -c $< -o $@
SHA1.o: SHA1-pre.o sha1lib.o
	$(LD) -r SHA1-pre.o sha1lib.o -o $@

######################################################################
# generic stuff

HC_SPEC_FLAGS=  -package-name $(PACKAGE)
HCINCLUDES=	-package text
HCLOADFLAGS=

OPT=		-O2 -ffi

HCFLAGS=	$(OPT) $(HC_SPEC_FLAGS) $(HCINCLUDES) $(HCEXTRAFLAGS)

HS_FILES=	$(HS_SOURCES)

DOCSUBDIR= doc

documentation: $(DOCSUBDIR)

$(DOCSUBDIR): $(HS_SOURCES)
	$(RM) -rf $(DOCSUBDIR)
	$(MKDIR) $(DOCSUBDIR)
	$(HADDOCK) -o $(DOCSUBDIR) -h $(HS_SOURCES)

clean:
	$(RM) -f *.a *.o *.hi

veryclean:: clean

depend::
	$(HC) -M $(HCFLAGS) $(HS_FILES)

# DO NOT DELETE: Beginning of Haskell dependencies
Shell.o : Shell.hs
SimpleParser.o : SimpleParser.hs
SHA1.o : SHA1.hs
RFC2279.o : RFC2279.hs
IntToString.o : IntToString.hs
ISO8601.o : ISO8601.hs
ISO8601.o : SimpleParser.hi
ISO8601.o : IntToString.hi
Hex.o : Hex.hs
JavaScript.o : JavaScript.hs
JavaScript.o : Hex.hi
QuotedPrintable.o : QuotedPrintable.hs
QuotedPrintable.o : Hex.hi
URLCoding.o : URLCoding.hs
URLCoding.o : Hex.hi
FileNames.o : FileNames.hs
BulkIO.o : BulkIO.hs
Base64.o : Base64.hs
RFC2047.o : RFC2047.hs
RFC2047.o : Hex.hi
RFC2047.o : QuotedPrintable.hi
RFC2047.o : Base64.hi
RFC2397.o : RFC2397.hs
RFC2397.o : Base64.hi
RFC2397.o : URLCoding.hi
Base32.o : Base32.hs
Auxiliary.o : Auxiliary.hs
Auxiliary.o : Shell.hi
Auxiliary.o : FileNames.hi
Locking.o : Locking.hs
Locking.o : Auxiliary.hi
Unique.o : Unique.hs
Unique.o : Locking.hi
Unique.o : Auxiliary.hi
# DO NOT DELETE: End of Haskell dependencies

=== washparser/hs/Makefile ===
include $(TOP)/mk/config.mk
include $(TOP)/mk/common.mk


HC_SPEC_FLAGS=	
HCLOADFLAGS=	$(HCPACKAGEFLAGS)
OPT=

HCFLAGS=	$(OPT) $(HC_SPEC_FLAGS) $(HINCLUDES)

HINCLUDES=	$(HCPACKAGEFLAGS)
HCPACKAGEFLAGS=	-package text


LINK.o=		$(HC) $(HCLOADFLAGS)


HS_FILES= \
	WASHOut.hs \
	WASHData.hs \
	WASHUtil.hs \
	WASHParser.hs \
	WASHClean.hs \
	WASHFlags.hs \
	WASHExpression.hs \
	WASHGenerator.hs \
	WASHMain.hs \

CLEAN_FILES= \
	$(HS_FILES:.hs=.o) \
	$(HS_FILES:.hs=.hi) \


all: WASHMain

WASHMain: $(HS_FILES:.hs=.o)

depend::
	$(HC) -M $(HCFLAGS) $(HS_FILES)

clean::
	$(RM) -f $(CLEAN_FILES)

veryclean: clean
	$(RM) -f WASHMain wash2hs

include $(TOP)/mk/common-goals.mk

# DO NOT DELETE: Beginning of Haskell dependencies
WASHFlags.o : WASHFlags.hs
WASHOut.o : WASHOut.hs
WASHData.o : WASHData.hs
WASHUtil.o : WASHUtil.hs
WASHUtil.o : WASHData.hi
WASHParser.o : WASHParser.hs
WASHParser.o : WASHUtil.hi
WASHParser.o : WASHData.hi
WASHClean.o : WASHClean.hs
WASHClean.o : WASHData.hi
WASHExpression.o : WASHExpression.hs
WASHExpression.o : WASHOut.hi
WASHExpression.o : WASHData.hi
WASHExpression.o : WASHUtil.hi
WASHExpression.o : WASHFlags.hi
WASHGenerator.o : WASHGenerator.hs
WASHGenerator.o : WASHFlags.hi
WASHGenerator.o : WASHClean.hi
WASHGenerator.o : WASHExpression.hi
WASHGenerator.o : WASHParser.hi
WASHGenerator.o : WASHData.hi
WASHMain.o : WASHMain.hs
WASHMain.o : WASHFlags.hi
WASHMain.o : WASHGenerator.hi
# DO NOT DELETE: End of Haskell dependencies

## washngo 2.12.0.1

=== debian/changelog ===
washngo (2.12.0.1-4) unstable; urgency=low

  * Run ghc6 without active timer (+RTS -V0 -RTS). Should work around
    http://hackage.haskell.org/trac/ghc/ticket/4074 on slow arches. Negative
    side effects not known (yet).  

 -- Joachim Breitner <nomeata@debian.org>  Mon, 28 Jun 2010 10:32:17 +0200

washngo (2.12.0.1-3) unstable; urgency=low

  * Prevent -prof files from being installed in -dev (Closes: #581574)

 -- Joachim Breitner <nomeata@debian.org>  Fri, 14 May 2010 16:29:47 +0200

washngo (2.12.0.1-2) unstable; urgency=low

  * Depend on libghc6-ghc-paths-dev (Closes: #581247)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 12 May 2010 10:21:14 +0200

washngo (2.12.0.1-1) unstable; urgency=low

  * Same upstream code, but packaged and published on cabal.
  * Adopt by the Debian Haskell Group, redo packaging. (Closes: #570284)
  * Package builds again (Closes: #553233, #560584, #522462)
  * Documentation is shipped (Closes: #368647)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 08 May 2010 23:59:40 +0200

washngo (2.12-7) unstable; urgency=low

  * Orphaning this package.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Feb 2010 15:30:37 -0600

washngo (2.12-6) unstable; urgency=high

  * Rebuilding for new GHC.
  * Ack NMU.  Closes: #502758.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 10:26:16 -0600

washngo (2.12-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add dh_haskell_depends to debian/rules (fix by Chris Lamb).
    Closes: #502758.

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 26 Oct 2008 17:48:02 +0000

washngo (2.12-5) unstable; urgency=low

  * The Debian diff.gz didn't note the deleteion of Setup.lhs.
    Make sure that happens in debian/rules.  Closes: #468935.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 02 Mar 2008 07:59:34 -0600

washngo (2.12-4) unstable; urgency=low

  * Lots of build system changes to make sure the package gets
    registered in GHC and builds like a more normal package.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 28 Feb 2008 06:48:32 -0600

washngo (2.12-3) unstable; urgency=low

  * Added build-deps on libghc6-regex-compat-dev and libghc6-parsec-dev.
    Closes: #465032.
  * Changed VCS lines in debian/control to new format and updated
    for Git.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 26 Feb 2008 21:38:16 -0600

washngo (2.12-2) unstable; urgency=low

  * Update for GHC 6.8.  Closes: #460377.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 30 Jan 2008 01:41:51 -0600

washngo (2.12-1) unstable; urgency=medium

  * New upstream release.
  * Modify Makefile to explicitly compile Setup.lhs.  Closes: #431843.
  * Redo build system so ghci is not required for build.
    Requires haskell-devscripts >= 0.5.19.  Closes: #431843.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 22 Oct 2007 09:31:30 -0500

washngo (2.10-1) unstable; urgency=low

  * New upstream release
  * Rebuild for newer GHC 6.6.1.  Closes: #427320.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 15 Jun 2007 15:18:29 -0500

washngo (2.9-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with GHC 6.6 and fix uninstallable of libghc6-wash-dev
    (Closes: #394655):
    - Setup.hs: updated for Cabal 1.1.6
    - WASH.cabal: drop the Depends on text-any.
    - WASH/CGI/GuaranteedCGI.hs: remove duplicate "," which caused a parse
      error.
    - WASH/CGI/SubmitXX: add -fallow-undecidable-instances to allow some
      illegal instance declarations.
    - debian/control: bump Build-Depends on ghc6.
  * debian/changelog: converted to UTF-8.
  * debian/libghc6-wash-dev.doc-base: declare a valid Section and fix the
    path to the HTML files.
  * debian/manpage.sgml.ex: removed.
  * debian/rules: remove config.log and config.status on clean.
  
 -- Arjan Oosting <arjan@debian.org>  Tue, 31 Oct 2006 00:52:11 +0100

washngo (2.9-4) unstable; urgency=low

  * Compile Setup.lhs to Setup instead of using runghc.  Closes: #377245.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  7 Jul 2006 11:48:56 -0500

washngo (2.9-3) unstable; urgency=low

  * Really add the build-dep this time.  Closes: #377073.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  6 Jul 2006 16:55:15 -0500

washngo (2.9-2) unstable; urgency=low

  * Add build-dep on haddock.  Closes: #377073.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  6 Jul 2006 13:15:47 -0500

washngo (2.9-1) unstable; urgency=low

  * New upstream release
  * Rebuild with GHC 6.4.2

 -- John Goerzen <jgoerzen@complete.org>  Wed,  5 Jul 2006 12:43:39 -0500

washngo (2.3.1-4) unstable; urgency=low

  * Applied build patch from François-Denis Gonthier.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  2 Jan 2006 06:20:57 -0600

washngo (2.3.1-3) unstable; urgency=low

  * Fixed doc-base path.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  7 Jun 2005 06:42:08 -0500

washngo (2.3.1-2) unstable; urgency=low

  * Fixed ghc-pkg error when registering (reference to Utility).

 -- John Goerzen <jgoerzen@complete.org>  Tue,  7 Jun 2005 06:39:26 -0500

washngo (2.3.1-1) unstable; urgency=low

  * Initial release.  Closes: #312256.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  6 Jun 2005 23:27:07 -0500

=== debian/control ===
Source: washngo
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.7)
  , ghc6
  , ghc6-prof
  , libghc6-regex-compat-dev
  , libghc6-regex-compat-prof
  , libghc6-parsec2-dev
  , libghc6-parsec2-prof
  , libghc6-ghc-paths-dev
  , libghc6-ghc-paths-prof
Standards-Version: 3.8.4
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/washngo
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/washngo
Homepage: http://www.informatik.uni-freiburg.de/~thiemann/haskell/WASH/

Package: libghc6-wash-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Web Authoring System for Haskell
 WASH is a family of embedded domain specific languages (EDSL) for
 programming Web applications. Each language is embedded in the
 functional language Haskell, which means that it is implemented as a
 combinator library.
 .
 Currently, WASH has the following components:
 .
 wash2hs, a preprocessor for including literal XHTML fragments in the
 style of Haskell Server Pages (HSP)
 .
 WASH/CGI for server-side web scripting
 .
 WASH/HTML for dynamic generation of HTML and XHTML
 .
 WASH/Mail for email processing

Package: libghc6-wash-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Web Authoring System for Haskell; profiling libraries
 WASH is a family of embedded domain specific languages (EDSL) for
 programming Web applications. Each language is embedded in the
 functional language Haskell, which means that it is implemented as a
 combinator library.
 .
 This package provides the library compiled with profiling enabled.

Package: libghc6-wash-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Web Authoring System for Haskell; documentation
 WASH is a family of embedded domain specific languages (EDSL) for
 programming Web applications. Each language is embedded in the
 functional language Haskell, which means that it is implemented as a
 combinator library.
 .
 This package provides the documentation for the library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CABAL_PACKAGE = wash
DEB_BUILD_DEPENDENCIES = build-arch
DEB_SETUP_GHC6_CONFIGURE_ARGS = --ghc-options="+RTS -V0 -RTS"

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|WashNGo-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/WashNGo \
    ([\d\.]*\d)/
